QoSProfiles

Manage QoS Profiles


Parameters

Name In Type Required Description
org_id path string true ‘none’
body body QoSProfilesQosProfileDeviceRequest true Parameters to query QoS Profiles for a given device

Request body - instance of QoSProfilesQosProfileDeviceRequest

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
{
  "phoneNumber": "+123456789",
  "device": {
    "phoneNumber": "+123456789",
    "networkAccessIdentifier": "123456789@domain.com",
    "ipv4Address": {
      "publicAddress": "203.0.113.0",
      "publicPort": 59765
    },
    "ipv6Address": "2001:db8:85a3:8d3:1319:8a2e:370:7344"
  },
  "name": "voice",
  "status": "ACTIVE"
}
Name Type Required Description
phoneNumber QoSProfilesPhoneNumber true A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with ‘+’.
device QoSProfilesDevice false End-user equipment able to connect to a mobile network. Examples of devices include smartphones or IoT sensors/actuators.

The developer can choose to provide the below specified device identifiers:

* ipv4Address
* ipv6Address
* phoneNumber
NOTE1: the network operator might support only a subset of these options. The API consumer can provide multiple identifiers to be compatible across different operators. In this case the identifiers MUST belong to the same device.
NOTE2: as for this Commonalities release, we are enforcing that the networkAccessIdentifier is only part of the schema for future-proofing, and CAMARA does not currently allow its use. After the CAMARA meta-release work is concluded and the relevant issues are resolved, its use will need to be explicitly documented in the guidelines.
name QoSProfilesQosProfileName false A unique name for identifying a specific QoS profile.
This may follow different formats depending on the service providers implementation.
Some options addresses:
- A UUID style string
- Support for predefined profile names like QOS_E, QOS_S, QOS_M, and QOS_L
- A searchable descriptive name
status QoSProfilesQosProfileStatusEnum false The current status of the QoS Profile
- ACTIVE- QoS Profile is available to be used
- INACTIVE- QoS Profile is not currently available to be deployed
- DEPRECATED- QoS profile is actively being used in a QoD session, but can not be deployed in new QoD sessions

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19

curl -X POST https://opengateway.masstack.com/v1/orgs/{org_id}/qos-profiles/retrieve-qos-profiles \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
 --data-raw "{
  'phoneNumber': '+123456789',
  'device': {
    'phoneNumber': '+123456789',
    'networkAccessIdentifier': '123456789@domain.com',
    'ipv4Address': {
      'publicAddress': '203.0.113.0',
      'publicPort': 59765
    },
    'ipv6Address': '2001:db8:85a3:8d3:1319:8a2e:370:7344'
  },
  'name': 'voice',
  'status': 'ACTIVE'
}" 

Responses

Code Meaning Description Schema
200 OK Contains information about QoS Profiles [QoSProfilesQosProfile]
400 Bad Request Bad Request QoSProfilesApiError
401 Unauthorized Unauthorized QoSProfilesApiError
403 Forbidden Forbidden QoSProfilesApiError
404 Not Found Not found QoSProfilesApiError
422 Unprocessable Entity Unprocessable Content QoSProfilesApiError
429 Too Many Requests Too Many Requests QoSProfilesApiError

400 - instance of QoSProfilesApiError

Custom schema example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
[
  {
    "name": "voice",
    "description": "QoS profile for high-quality interactive voice",
    "status": "ACTIVE",
    "targetMinUpstreamRate": {
      "value": 100,
      "unit": "kbps"
    },
    "targetMinDownstreamRate": {
      "value": 100,
      "unit": "kbps"
    },
    "minDuration": {
      "value": 1,
      "unit": "Days"
    },
    "maxDuration": {
      "value": 10,
      "unit": "Days"
    },
    "priority": 10,
    "packetDelayBudget": {
      "value": 50,
      "unit": "Milliseconds"
    },
    "jitter": {
      "value": 5,
      "unit": "Milliseconds"
    },
    "packetErrorLossRate": 3,
    "l4sQueueType": "non-l4s-queue"
  }
]
Name Type Required Description
code string true code of the error
title string true title of the error
ref string true ref of the error
details string true details of the error

Parameters

Name In Type Required Description
name path QoSProfilesQosProfileName true Qos Profile name
org_id path string true ‘none’
phoneNumber query QoSProfilesPhoneNumber true ‘none’

Request example

1
2
3
4

curl -X GET https://opengateway.masstack.com/v1/orgs/{org_id}/qos-profiles/{name}?phoneNumber='+123456789'?phoneNumber=%2B123456789 \
  -H "Accept: application/json"

Responses

Code Meaning Description Schema
200 OK Contains information about QoS Profiles QoSProfilesQosProfile
400 Bad Request Bad Request QoSProfilesApiError
401 Unauthorized Unauthorized QoSProfilesApiError
403 Forbidden Forbidden QoSProfilesApiError
404 Not Found Not found QoSProfilesApiError
429 Too Many Requests Too Many Requests QoSProfilesApiError

Endpoints

Consents

    Number Verification

      Sim Swap

        Capabilities

          Views

            Admin

              QoSProfiles

                Applications